package com.uas.platform.b2b.support;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class MessageConf {

	/**
	 * 邮件模板id：邀请客户注册优软模板id
	 * 
	 * @return
	 */
	@Value("#{message.tplInvitationForB2B}")
	private String tplInvitationForB2B;

	/**
	 * 短信模板id：邀请客户注册优软模板id
	 */
	@Value("#{message.msgInvitationForB2B}")
	private String msgInvitationForB2B;

	/**
	 * 邮件模板id: 平台添加人员后通知相关人员模板id
	 */
	@Value("#{message.tplAfterBeAddedtoB2B}")
	private String tplAfterBeAddedtoB2B;

	/**
	 * 短信模板id：发布招标单短信通知模版id
	 */
	@Value("#{message.msgTenderForB2B}")
	private String msgTenderForB2B;

	/**
	 * erp用户邀请注册的邮件模板id
	 *
	 * @return
	 */
	@Value("#{message.tplInvitationForERP}")
	private String tplInvitationForERP;

	/**
	 * erp用户邀请注册的短信模板id
	 */
	@Value("#{message.msgInvitationForERP}")
	private String msgInvitationForERP;

	/**
	 * 邮件模版id：公共询价单提醒供应商报价
	 * @return
	 */
	@Value("#{message.tplInquiryForB2B}")
	private String tplInquiryForB2B;

	/**
	 * 邮件模版id：自动询价单提醒供应商报价
	 * @return
	 */
	@Value("#{message.tplAutoInquiryForB2B}")
	private String tplAutoInquiryForB2B;

	/**
	 * 短信模版id：公共询价单提醒供应商报价
	 * @return
	 */
	@Value("#{message.msgInquiryForB2B}")
	private String msgInquiryForB2B;

	/**
	 * 短信模版id：自动询价单提醒供应商报价
	 * @return
	 */
	@Value("#{message.msgAutoInquiryForB2B}")
	private String msgAutoInquiryForB2B;

	/**
	 * 短信接口地址
	 * @return
	 */
	@Value("#{message.messageUrl}")
	private String messageUrl;

	/**
	 * 消息公共服务地址
	 * @return
	 */
	@Value("#{message.messagePublicServiceDevUrl}")
	private String messagePublicServiceDevUrl;

    /**
     * 添加合作伙伴通知
     */
	@Value("#{message.msgAddPartForB2B}")
    private String msgAddPartForB2B;

    /**
     * 添加合作伙伴通知管理员
     */
	@Value("#{message.msgAddPartNoticeManager}")
    private String msgAddPartNoticeManager;

    /**
     * 添加合作伙伴通知联系人
     */
    @Value("#{message.msgAddPartNoticeContact}")
    private String msgAddPartNoticeContact;

	public String getTplInvitationForB2B() {
		return tplInvitationForB2B;
	}

	public void setTplInvitationForB2B(String tplInvitationForB2B) {
		this.tplInvitationForB2B = tplInvitationForB2B;
	}

	public String getMsgInvitationForB2B() {
		return msgInvitationForB2B;
	}

	public void setMsgInvitationForB2B(String msgInvitationForB2B) {
		this.msgInvitationForB2B = msgInvitationForB2B;
	}

	public String getTplAfterBeAddedtoB2B() {
		return tplAfterBeAddedtoB2B;
	}

	public void setTplAfterBeAddedtoB2B(String tplAfterBeAddedtoB2B) {
		this.tplAfterBeAddedtoB2B = tplAfterBeAddedtoB2B;
	}

	public String getMsgTenderForB2B() {
		return msgTenderForB2B;
	}

	public void setMsgTenderForB2B(String msgTenderForB2B) {
		this.msgTenderForB2B = msgTenderForB2B;
	}

	public String getTplInvitationForERP() {
		return tplInvitationForERP;
	}

	public void setTplInvitationForERP(String tplInvitationForERP) {
		this.tplInvitationForERP = tplInvitationForERP;
	}

	public String getMsgInvitationForERP() {
		return msgInvitationForERP;
	}

	public void setMsgInvitationForERP(String msgInvitationForERP) {
		this.msgInvitationForERP = msgInvitationForERP;
	}

	public String getTplInquiryForB2B() {
		return tplInquiryForB2B;
	}

	public void setTplInquiryForB2B(String tplInquiryForB2B) {
		this.tplInquiryForB2B = tplInquiryForB2B;
	}

	public String getMsgInquiryForB2B() {
		return msgInquiryForB2B;
	}

	public void setMsgInquiryForB2B(String msgInquiryForB2B) {
		this.msgInquiryForB2B = msgInquiryForB2B;
	}

	public String getMessageUrl() {
		return messageUrl;
	}

	public void setMessageUrl(String messageUrl) {
		this.messageUrl = messageUrl;
	}

	public String getTplAutoInquiryForB2B() {
		return tplAutoInquiryForB2B;
	}

	public void setTplAutoInquiryForB2B(String tplAutoInquiryForB2B) {
		this.tplAutoInquiryForB2B = tplAutoInquiryForB2B;
	}

	public String getMsgAutoInquiryForB2B() {
		return msgAutoInquiryForB2B;
	}

	public void setMsgAutoInquiryForB2B(String msgAutoInquiryForB2B) {
		this.msgAutoInquiryForB2B = msgAutoInquiryForB2B;
	}

	public String getMessagePublicServiceDevUrl() {
		return messagePublicServiceDevUrl;
	}

	public void setMessagePublicServiceDevUrl(String messagePublicServiceDevUrl) {
		this.messagePublicServiceDevUrl = messagePublicServiceDevUrl;
	}

    public String getMsgAddPartForB2B() {
        return msgAddPartForB2B;
    }

    public void setMsgAddPartForB2B(String msgAddPartForB2B) {
        this.msgAddPartForB2B = msgAddPartForB2B;
    }

    public String getMsgAddPartNoticeManager() {
        return msgAddPartNoticeManager;
    }

    public void setMsgAddPartNoticeManager(String msgAddPartNoticeManager) {
        this.msgAddPartNoticeManager = msgAddPartNoticeManager;
    }

    public String getMsgAddPartNoticeContact() {
        return msgAddPartNoticeContact;
    }

    public void setMsgAddPartNoticeContact(String msgAddPartNoticeContact) {
        this.msgAddPartNoticeContact = msgAddPartNoticeContact;
    }
}
